---@meta

---@class UVehicleMath_C : UBlueprintFunctionLibrary
local UVehicleMath_C = {}

---@param float double
---@param DecimalPlaces int32
---@param __WorldContext UObject
---@param Result double
function UVehicleMath_C:SetFloatPrecision(float, DecimalPlaces, __WorldContext, Result) end
---@param Child FTransform
---@param Parent FTransform
---@param __WorldContext UObject
---@param Relative FTransform
function UVehicleMath_C:GetTransformRelative(Child, Parent, __WorldContext, Relative) end
---@param Delta double
---@param ZTS double
---@param __WorldContext UObject
---@param Accel double
function UVehicleMath_C:VehicleAcceleration(Delta, ZTS, __WorldContext, Accel) end
---@param Begin double
---@param End double
---@param PercentBetween double
---@param __WorldContext UObject
---@param Value double
function UVehicleMath_C:GetValueBetweenValues(Begin, End, PercentBetween, __WorldContext, Value) end
---@param Value double
---@param Begin double
---@param End double
---@param __WorldContext UObject
---@param Percent double
function UVehicleMath_C:GetPercentBetweenValues(Value, Begin, End, __WorldContext, Percent) end


